>From ff03705118b644a6c731739b24846f3274a095d2 Mon Sep 17 00:00:00 2001
From: "Endi S. Dewata" <edewata@redhat.com>
Date: Tue, 21 Feb 2017 09:33:31 -0600
Subject: [PATCH] Added access banner to OCSP UI.

All pages in OCSP UI have been modified to retrieve access banner
and display it once at the beginning of the SSL connection.

https://fedorahosted.org/pki/ticket/2582
---
 base/ocsp/shared/webapps/ocsp/404.html                          | 8 ++++++--
 base/ocsp/shared/webapps/ocsp/500.html                          | 8 ++++++--
 base/ocsp/shared/webapps/ocsp/GenUnexpectedError.template       | 9 ++++++++-
 base/ocsp/shared/webapps/ocsp/agent/GenError.template           | 9 ++++++++-
 base/ocsp/shared/webapps/ocsp/agent/GenPending.template         | 9 ++++++++-
 base/ocsp/shared/webapps/ocsp/agent/GenRejected.template        | 9 ++++++++-
 base/ocsp/shared/webapps/ocsp/agent/GenSuccess.template         | 9 ++++++++-
 base/ocsp/shared/webapps/ocsp/agent/GenSvcPending.template      | 9 ++++++++-
 base/ocsp/shared/webapps/ocsp/agent/GenUnauthorized.template    | 9 ++++++++-
 base/ocsp/shared/webapps/ocsp/agent/GenUnexpectedError.template | 9 ++++++++-
 base/ocsp/shared/webapps/ocsp/agent/header.template             | 8 ++++++--
 base/ocsp/shared/webapps/ocsp/agent/index.jsp                   | 8 ++++++++
 base/ocsp/shared/webapps/ocsp/agent/index.template              | 8 ++++++--
 base/ocsp/shared/webapps/ocsp/agent/ocsp/AddCA.html             | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/AddCRL.html            | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/CheckCert.html         | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/addCA.template         | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/addCRL.template        | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/checkCert.template     | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/frameAddCA.html        | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/frameAddCRL.html       | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/frameCheckCert.html    | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/frameListCA.html       | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/frameOCSP.html         | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/frameStats.html        | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/getOCSPInfo.template   | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/getStats.template      | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/index.jsp              | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/listCAs.template       | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/menuAddCA.html         | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/menuAddCRL.html        | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/menuListCA.html        | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/menuOCSP.html          | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/menuStats.html         | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ocsp/removeCA.template      | 6 ++++++
 base/ocsp/shared/webapps/ocsp/agent/ports.template              | 8 ++++++--
 base/ocsp/shared/webapps/ocsp/index.jsp                         | 8 ++++++++
 base/ocsp/shared/webapps/ocsp/services.template                 | 8 ++++++--
 38 files changed, 248 insertions(+), 20 deletions(-)

diff --git a/base/ocsp/shared/webapps/ocsp/404.html b/base/ocsp/shared/webapps/ocsp/404.html
index c78f6dacf006ad10dc70481939b3409bb6f0b031..4ea9486c4bd5faa77ea44c878ba7e6f12e7aa201 100755
--- a/base/ocsp/shared/webapps/ocsp/404.html
+++ b/base/ocsp/shared/webapps/ocsp/404.html
@@ -25,8 +25,12 @@ var port = location.port;
 </script>
 
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/ocsp/shared/webapps/ocsp/500.html b/base/ocsp/shared/webapps/ocsp/500.html
index 522f62a9b39dedb1b6dfb9a362cd30352d03f589..3414e56d03623f66e47c66d0483ec3916984f36d 100755
--- a/base/ocsp/shared/webapps/ocsp/500.html
+++ b/base/ocsp/shared/webapps/ocsp/500.html
@@ -25,8 +25,12 @@ var port = location.port;
 </script>
 
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/ocsp/shared/webapps/ocsp/GenUnexpectedError.template b/base/ocsp/shared/webapps/ocsp/GenUnexpectedError.template
index 824bdb9e95756540012e912bbf0e66eb7a217003..e836320c6bcaf140b3c84e8adf528d4279b98071 100644
--- a/base/ocsp/shared/webapps/ocsp/GenUnexpectedError.template
+++ b/base/ocsp/shared/webapps/ocsp/GenUnexpectedError.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>OCSP Processing Error!</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/GenError.template b/base/ocsp/shared/webapps/ocsp/agent/GenError.template
index 13996d5d4436c8c4ceeb335479eabddbcad4044a..eca9bd5d11c96981f7870ffa95d03f09204cb172 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/GenError.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/GenError.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>OCSP Agent Processing Error!</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/GenPending.template b/base/ocsp/shared/webapps/ocsp/agent/GenPending.template
index 9264d1bd03c16448977740a067412661a2698d68..9263876a2daaadb19e1db4e4560458aba8aa0370 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/GenPending.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/GenPending.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>OCSP Agent Request Pending</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY bgcolor="white">
 
 
diff --git a/base/ocsp/shared/webapps/ocsp/agent/GenRejected.template b/base/ocsp/shared/webapps/ocsp/agent/GenRejected.template
index 5e5155541bf32d9acfcd55bc4d89ec990e2d9be2..cb6fc0aeaee127f28092f3e4d2686f7c2abff25f 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/GenRejected.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/GenRejected.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>OCSP Agent Request Rejected</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY bgcolor="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/GenSuccess.template b/base/ocsp/shared/webapps/ocsp/agent/GenSuccess.template
index 9d9022b2b7e3059a805f0b255ae1abb8bdedd297..4757dd4f13bd4e2be31480d0e9dc1ba30de3439f 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/GenSuccess.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/GenSuccess.template
@@ -17,11 +17,18 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <!-- This template is intended to be replaced by request specific results !  -->
 <CMS_TEMPLATE>
 
 <TITLE>OCSP Agent Generic Request Success</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR=white>
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/GenSvcPending.template b/base/ocsp/shared/webapps/ocsp/agent/GenSvcPending.template
index 248f3e592940ea28d61598232c7b6ccbccc3618f..63fe2832756d31bfd307d838b33d6ecf24f18e70 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/GenSvcPending.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/GenSvcPending.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>OCSP Agent Request Svc Pending</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY bgcolor="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/GenUnauthorized.template b/base/ocsp/shared/webapps/ocsp/agent/GenUnauthorized.template
index af2aede06b553976cdcabbeb1bea8c034339ab12..d40c027a3e8897664b695db08531cbb53f6b800d 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/GenUnauthorized.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/GenUnauthorized.template
@@ -17,11 +17,18 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <!-- This template is intended to be replaced by request specific results !  -->
 <CMS_TEMPLATE>
 
 <TITLE>OCSP Agent Generic Unauthorized</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR=white>
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/GenUnexpectedError.template b/base/ocsp/shared/webapps/ocsp/agent/GenUnexpectedError.template
index a929c760f57e5824c4c9bfa3908f28cabda8fb12..0307be723a68d86d00d406f3225e62a17cadfaa1 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/GenUnexpectedError.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/GenUnexpectedError.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>OCSP Agent Processing Error!</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/header.template b/base/ocsp/shared/webapps/ocsp/agent/header.template
index 495b947860fe76af1737d1caf142528be75d5f82..28d11e6da1ea3e59702eb306ad0bf59e79639f16 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/header.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/header.template
@@ -18,8 +18,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/ocsp/shared/webapps/ocsp/agent/index.jsp b/base/ocsp/shared/webapps/ocsp/agent/index.jsp
index 30662d47aa6a0c3f7aafc03acf16b02cf2ac93bf..eae2da3c25ffaac82c434a5ef5137d9c3d635138 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/index.jsp
+++ b/base/ocsp/shared/webapps/ocsp/agent/index.jsp
@@ -16,8 +16,16 @@
      All rights reserved.
      --- END COPYRIGHT BLOCK --- -->
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <script lang="javascript">
     // redirect to 'ROOT'
     window.location = "/";
 </script>
+</head>
 </html>
diff --git a/base/ocsp/shared/webapps/ocsp/agent/index.template b/base/ocsp/shared/webapps/ocsp/agent/index.template
index 0dddd0444df74901e69009c4a78efb80cec6856a..7903b16c7c538bbc720c33839c682e4cc954f734 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/index.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/index.template
@@ -18,8 +18,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/AddCA.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/AddCA.html
index 43f2503a137a4d5908e959b1eb0b50a523502006..25c91b258488c8e10cb20d3febd0cc44f606a943 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/AddCA.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/AddCA.html
@@ -20,6 +20,12 @@
 <HEAD>
 <TITLE>Add Certificate Authority</TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript" SRC="../helpfun.js"></SCRIPT>
 </HEAD>
 
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/AddCRL.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/AddCRL.html
index 4a6878a00d8b9b968c41df65cd694c2b5ca4236c..4b676a9a1aed3bc12f1a7f67b2a5fb01697937b1 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/AddCRL.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/AddCRL.html
@@ -20,6 +20,12 @@
 <HEAD>
 <TITLE>Add Certificate Revocation List</TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript" SRC="../helpfun.js"></SCRIPT>
 </HEAD>
 
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/CheckCert.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/CheckCert.html
index ca15f1404ba6b6cc5197bf9c29e2f729c6546541..35ba12d75b059fc629f39a936dd82d0bde4fafe4 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/CheckCert.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/CheckCert.html
@@ -20,6 +20,12 @@
 <HEAD>
 <TITLE>Check Certificate Status</TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript" SRC="../helpfun.js"></SCRIPT>
 </HEAD>
 
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/addCA.template b/base/ocsp/shared/webapps/ocsp/agent/ocsp/addCA.template
index 3205ee0b9573ac8070793ace213edbb3e7462945..3291e31c45b30f3ee297aa637f024e02e60783f1 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/addCA.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/addCA.template
@@ -20,6 +20,12 @@
 <head>
    <title>Adding Certificate Authority</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="../helpfun.js"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/addCRL.template b/base/ocsp/shared/webapps/ocsp/agent/ocsp/addCRL.template
index 99f227c47936c2269698fb4757c785c1df788396..570637bc7a51ec224190fa4eb12d842957d6f030 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/addCRL.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/addCRL.template
@@ -20,6 +20,12 @@
 <head>
    <title>Adding Certificate Revocation List</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="../helpfun.js"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/checkCert.template b/base/ocsp/shared/webapps/ocsp/agent/ocsp/checkCert.template
index 5e8b8938c3239b9936836d3f4aab4f336d45dc21..f50ea04840162bfd49a4630fd0833a5bb20dd92f 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/checkCert.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/checkCert.template
@@ -20,6 +20,12 @@
 <head>
    <title>Check Certificate Status</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="../helpfun.js"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameAddCA.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameAddCA.html
index afb888caf4421e08570dff3c7831c48367ded651..675907bb898b598debd24b9f9b991065051647f4 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameAddCA.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameAddCA.html
@@ -20,6 +20,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset cols="140,1*" border="0" frameborder="NO">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameAddCRL.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameAddCRL.html
index 28be03545ffdca25e71d31d9455effb3a78b194f..c68bd27a10a41e0245e682507cbfd2bc413a9cae 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameAddCRL.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameAddCRL.html
@@ -20,6 +20,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset cols="140,1*" border="0" frameborder="NO">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameCheckCert.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameCheckCert.html
index 21335c8a0a283343754b89a2e3b8529da17c9313..c22319c70905c39bae07cec8b3433d12e2e89619 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameCheckCert.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameCheckCert.html
@@ -20,6 +20,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset cols="140,1*" border="0" frameborder="NO">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameListCA.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameListCA.html
index 90530fd4255d51b0a1249075850d25418f0b2e5a..2db0a7f237add9060cb276a89cfc94d123369b51 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameListCA.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameListCA.html
@@ -20,6 +20,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset cols="140,1*" border="0" frameborder="NO">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameOCSP.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameOCSP.html
index 00fad0f36cb014de7269c9e3cc3220d639126f28..98538de7462a9b4e3f0163c1538e46e19efc3176 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameOCSP.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameOCSP.html
@@ -20,6 +20,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset cols="140,1*" border="0" frameborder="NO">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameStats.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameStats.html
index 8efa27a7804f2217f0148e690779664aadd855a7..ae5720c60a31c41e0f44c1c76ed9f1c65825d6c9 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameStats.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/frameStats.html
@@ -20,6 +20,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset cols="140,1*" border="0" frameborder="NO">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/getOCSPInfo.template b/base/ocsp/shared/webapps/ocsp/agent/ocsp/getOCSPInfo.template
index 9a2769777ee0aa8931220ef79324873dd1f358b8..c912941d6c1b992327bd2c9f5deb58d58bcc4162 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/getOCSPInfo.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/getOCSPInfo.template
@@ -20,6 +20,12 @@
 <head>
    <title>Display CRL</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="../helpfun.js"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/getStats.template b/base/ocsp/shared/webapps/ocsp/agent/ocsp/getStats.template
index 59ae3e6d37ba0e1ca6ad50412bb9a7794e0d47e1..86aafc04a333c8d702d39539b479a5da838ef83f 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/getStats.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/getStats.template
@@ -20,6 +20,12 @@
 <head>
    <title>Display CRL</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="../helpfun.js"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/index.jsp b/base/ocsp/shared/webapps/ocsp/agent/ocsp/index.jsp
index b94135258d155e73c9995d569761451aeb0aef80..744253ee250a64d38768ee555b1004cd5d30e38d 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/index.jsp
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/index.jsp
@@ -21,6 +21,12 @@
 <title>OCSP Agent</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
 <link rel="shortcut icon" href="/pki/images/favicon.ico" />
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset rows="105,1*" frameborder="NO" border="0" cols="*"> 
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/listCAs.template b/base/ocsp/shared/webapps/ocsp/agent/ocsp/listCAs.template
index 93cc6cdf344574bfe4985d21c396da1b9c96928b..8306603811ed12b9d83b4474cdd1b7385affbb45 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/listCAs.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/listCAs.template
@@ -20,6 +20,12 @@
 <head>
    <title>List Certificate Authorities</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="../helpfun.js"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuAddCA.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuAddCA.html
index 6b4419f78c6a82a68b0d6b0ad442fb4247b2a621..9db3f79b923380223d281e683f41747d64a8470c 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuAddCA.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuAddCA.html
@@ -20,6 +20,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <body bgcolor="#CCCCCC" link="#FFFFFF" vlink="#FFFFFF" alink="#333399">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuAddCRL.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuAddCRL.html
index 7da3025e3d9a7247df39175ef44af2df907ac499..585f353436297f0864a54bb7e165d546156dc1f8 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuAddCRL.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuAddCRL.html
@@ -20,6 +20,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <body bgcolor="#CCCCCC" link="#FFFFFF" vlink="#FFFFFF" alink="#333399">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuListCA.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuListCA.html
index ac99b752abf7d2a8e2377f0eee63140e55ad9791..a1537e739a0461ac29aaf9c52088b17ee8295113 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuListCA.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuListCA.html
@@ -20,6 +20,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <body bgcolor="#CCCCCC" link="#FFFFFF" vlink="#FFFFFF" alink="#333399">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuOCSP.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuOCSP.html
index b019fe81fa62dddf612ec9a770ad1262f4ec0c1a..f0980db50c793bcc9a4281ca1cd35ba462051ec9 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuOCSP.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuOCSP.html
@@ -20,6 +20,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <body bgcolor="#CCCCCC" link="#FFFFFF" vlink="#FFFFFF" alink="#333399">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuStats.html b/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuStats.html
index f86dd059e1be2905ebd7457708a7e60dbc26e045..e7d2ca11e16b1a5e5ae279b56fb80b872fd4d779 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuStats.html
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/menuStats.html
@@ -20,6 +20,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <body bgcolor="#CCCCCC" link="#FFFFFF" vlink="#FFFFFF" alink="#333399">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ocsp/removeCA.template b/base/ocsp/shared/webapps/ocsp/agent/ocsp/removeCA.template
index 7da892454c1d8be1509a0c175d31b8bf6d500e31..188ab256f68fb2477f8463aaf3d4a9108a1c1f45 100755
--- a/base/ocsp/shared/webapps/ocsp/agent/ocsp/removeCA.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/ocsp/removeCA.template
@@ -20,6 +20,12 @@
 <head>
    <title>Removing Certificate Authority</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="../helpfun.js"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript">
diff --git a/base/ocsp/shared/webapps/ocsp/agent/ports.template b/base/ocsp/shared/webapps/ocsp/agent/ports.template
index e243be2d85ab372e915be9435154ed4e6bfa6b96..1132d80d9c693ed6f7c8f9e0b707f0193d26e1f5 100644
--- a/base/ocsp/shared/webapps/ocsp/agent/ports.template
+++ b/base/ocsp/shared/webapps/ocsp/agent/ports.template
@@ -18,8 +18,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/ocsp/shared/webapps/ocsp/index.jsp b/base/ocsp/shared/webapps/ocsp/index.jsp
index 8fe876ff34e5bb1f63b027476ed10b949c40f375..3ad14e88bc215b8ae9eda607f02ce286d155a64e 100644
--- a/base/ocsp/shared/webapps/ocsp/index.jsp
+++ b/base/ocsp/shared/webapps/ocsp/index.jsp
@@ -16,7 +16,15 @@
      All rights reserved.
      --- END COPYRIGHT BLOCK --- -->
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <script lang="javascript">
     window.location = '/ocsp/services';
 </script>
+</head>
 </html>
diff --git a/base/ocsp/shared/webapps/ocsp/services.template b/base/ocsp/shared/webapps/ocsp/services.template
index a57a7f3b450abbc5c862d25d604d0ac2a160c0c0..b5fd899ef8ad96e3dc7cb2849ad3e8836d47e887 100644
--- a/base/ocsp/shared/webapps/ocsp/services.template
+++ b/base/ocsp/shared/webapps/ocsp/services.template
@@ -18,8 +18,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
-- 
2.9.3

